<?php
function unreg(){
global $user_data;
if($user_data){
header("Location: /404.php");
exit;
}
}

function reg(){
global $user_data;
if(!$user_data){
header("Location: /404.php");
exit;
}
}

function level($level){
global $user_data;
if($user_data AND $user_data['level'] < $level OR !$user_data){
header("Location: /404.php");
exit;
}
}

function data($time){
$month = array('Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec');
$month_rus = array('Января','Февраля','Марта','Апреля','Мая','Июня','Июля','Августа','Сентября','Октября','Ноября','Декабря');
$timep = date("j M Y - H:i:s", $time);
$timep = str_replace($month,$month_rus,$timep);
return $timep;
}

function navigation($all,$napage,$page,$url,$total){
if(!($all<=$napage)){
if($page-3>0)$first='<a href="'.$url.'page=1">1</a>..';
if($page-2>0)$page2left='<a href="'.$url.'page='.($page-2).'">'.($page-2).'</a> ';
if($page-1>0)$page1left='<a href="'.$url.'page='.($page-1).'">'.($page-1).'</a>,';
if($page+3<=$total)$last='..<a href="'.$url.'page='.($total).'">'.($total).'</a>';
if($page+2<=$total)$page2right=',<a href="'.$url.'page='.($page+2).'">'.($page + 2).'</a>';
if($page+1<=$total)$page1right=',<a href="'.$url.'page='.($page+1).'">'.($page + 1).'</a>'; 
echo '<div class="title"><center>Страницы: '.$first.$page2left.$page1left.'<b>'.$page.'</b>'.$page1right.$page2right.$last.'</center></div>';
}
}


function filter($t){
$t = mysql_real_escape_string(nl2br(htmlspecialchars(trim($t))));
$t = str_replace("\'", "&#39;", $t);
$t = str_replace('\\', "&#92;", $t);
$t = str_replace("|", "I", $t);
$t = str_replace("||", "I", $t);
$t = str_replace("/\\\$/", "&#36;", $t);
return $t;
}

function browser(){
global $ua;
if (preg_match('/opera min/i', $ua)) $browser = 'Opera Mini';
else if (preg_match('/Chrome/i', $ua))$browser = 'Chrome';
else if (preg_match('/Opera/i', $ua)) $browser = 'Opera';
else if (preg_match('/MSIE/i', $ua)) $browser = 'IE';
else if (preg_match('/Mozilla/i', $ua)) $browser = 'Mozilla';
else if (preg_match('/ucweb/i', $ua)) $browser = 'UCWeb';
else $browser = 'Неизвестно';
return $browser;
}

?>